Subject: Re: [PATCH] gnu: packages: Add miniz.

From: "(" <[email-masked]>
Date: Sun, 07 Aug 2022 17:59:19 +0100

On Sun Aug 7, 2022 at 5:42 PM BST, Liliana Marie Prikler wrote:
> last time I checked, the template was "gnu: Add PACKAGE", not "gnu:
> packages: Add PACKAGE."
Okay, I'll remember that for next time :)

> And there might still be many more until a release.  I don't think
> using untagged commits "just because" if the latest release is barely a
> year old is a good idea.

> > +  (let ((commit "be92575500f71dfb5ac7b0c5bb47b6e736c23039")
> > +        (revision "0"))
> > +    (package
> > +     (name "miniz")
> > +     (version (git-version "2.2.0" revision commit))
> > +     (source (origin
> > +              (method git-fetch)
> > +              (uri (git-reference
> > +                    (url "https://github.com/richgel999/miniz")
> > +                    (commit commit)))
> > +              (file-name (git-file-name name version))
> > +              (sha256
> > +               (base32
> > +               
> > "0w42vagcv4b0hcf0jk7vamrcpmw62dblx9856j98msdfm3qv1xzi"))))
> > +     (build-system cmake-build-system)
> > +     (arguments
> > +      (list #:configure-flags
> > +            #~(list "-DBUILD_SHARED_LIBS=ON")
> > +            ;; No test target.
> > +            #:tests? #f))
> There is a test script you could use.
It doesn't work; I tried it.

> > +      "@code{miniz} is a small, simple alternative to the
> > @code{zlib}
> > +data compression library for manipulating zlib, DEFLATE, PNG, and
> > ZIP
> > +files from C.")
> Avoid marketing terms :)
Do 'small' and 'simple' count as marketing terms? 'smaller than zlib'
is objective fact, and 'simpler than zlib' is subjective but pretty
obvious. Maybe I could rewrite it to say 'smaller, simpler alternative'
instead?

    -- (